import pymel.core as pm
from alShaders import alShadersTemplate

class AEalCelTemplate(alShadersTemplate):
	def setup(self):
		self.addSwatch()
		self.beginScrollLayout()

		self.beginLayout("Shading", collapse=False)
		self.addControl("surfaceShader", label="Surface shader")
		self.addControl("diffuseDirectStrength", label="Diffuse strength")
		self.addControl("diffuseRamp", label="Diffuse ramp")
		self.addControl("diffuseColorRamp", label="Diffuse color ramp")
		self.addControl("diffuseIndirectStrength", label="Indirect diffuse strength")
		self.addControl("diffuseIndirectSaturation", label="Indirect diffuse saturation")
		self.addControl("diffuseIndirectTint", label="Indirect diffuse tint")
		self.endLayout() # END Shading
		self.beginLayout("AOVs", collapse=True)
		self.addControl("aov_direct_diffuse_cel", label="Cel Diffuse")
		self.addControl("aov_direct_diffuse_raw_cel", label="Cel Raw Diffuse")
		self.addControl("aov_indirect_diffuse_cel", label="Cel Indirect Diffuse")
		self.endLayout() # END AOVs
		self.addBumpLayout()

		pm.mel.AEdependNodeTemplate(self.nodeName)
		self.addExtraControls()

		self.endScrollLayout()
